# WARNING: This package is synced with FC
%global apiversion 0.1
%define fname odfgen
%define major 1
%define libname %mklibname %{fname} %{apiversion} %{major}
%define develname %mklibname -d %{fname} %{apiversion}

Name: libodfgen
Version: 0.1.8
Release: %mkrel 1
Summary: An ODF generator library

Group: System/Libraries
License: LGPLv2+ or MPLv2.0
URL: https://sourceforge.net/p/libwpd/wiki/libodfgen/
Source: http://downloads.sourceforge.net/libwpd/%{name}-%{version}.tar.xz

BuildRequires: doxygen
BuildRequires: gcc-c++
BuildRequires: make
BuildRequires: lib64revenge-devel
BuildRequires: lib64xml2-devel

%description
%{name} is a library for generating ODF documents. It is directly
pluggable into input filters based on librevenge. It is used in
libreoffice or calligra, for example.

%package -n %{libname}
Summary: An ODF generator library
Group: System/Libraries

%description -n %{libname}
%{name} is a library for generating ODF documents. It is directly
pluggable into input filters based on librevenge. It is used in
libreoffice or calligra, for example.

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{libname} = %{version}
Provides: %{fname}-devel = %{version}-%{release}
Provides: lib%{fname}-devel = %{version}-%{release}
Obsoletes: %{_lib}odfgen-devel < 0.1.6-3

%description -n %{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

%package doc
Summary: Documentation of %{name} API
Group:	Documentation
BuildArch: noarch

%description doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%setup -q

%build
%configure2_5x --disable-silent-rules --disable-static
%make_build

%install
%make_install
rm -f %{buildroot}/%{_libdir}/*.la
# we install API docs directly from build
rm -rf %{buildroot}/%{_docdir}/%{name}

%files -n %{libname}
%{_libdir}/%{name}-%{apiversion}.so.%{major}*

%files -n %{develname}
%{_includedir}/%{name}-%{apiversion}
%{_libdir}/%{name}-%{apiversion}.so
%{_libdir}/pkgconfig/%{name}-%{apiversion}.pc

%files doc
%doc docs/doxygen/html


%changelog
* Thu Aug 05 2021 tex - 0.1.8-1pclos2021
- create pkg
